source src1000 {
    type            = xmlpipe2
    xmlpipe_command = cat /home/depesz/sphinx/data/pages_1000.xml
}

source src10000 {
    type            = xmlpipe2
    xmlpipe_command = cat /home/depesz/sphinx/data/pages_10000.xml
}

source src100000 {
    type            = xmlpipe2
    xmlpipe_command = cat /home/depesz/sphinx/data/pages_100000.xml
}

source src1000000 {
    type            = xmlpipe2
    xmlpipe_command = cat /home/depesz/sphinx/data/pages_1000000.xml
}

source src10000000 {
    type            = xmlpipe2
    xmlpipe_command = cat /home/depesz/sphinx/data/pages_10000000.xml
}


index index1000 {
        charset_type = utf-8
        enable_star  = 1
        min_word_len = 1
        path         = /home/depesz/sphinx/index/1000
        source       = src1000
}

index index10000 : index1000 {
    path   = /home/depesz/sphinx/index/10000
    source = src10000
}

index index100000 : index1000 {
    path   = /home/depesz/sphinx/index/100000
    source = src100000
}

index index1000000 : index1000 {
    path   = /home/depesz/sphinx/index/1000000
    source = src1000000
}

index index10000000 : index1000 {
    path   = /home/depesz/sphinx/index/10000000
    source = src1000000
}

indexer {
    mem_limit = 512M
}
